package demoServlets;
import javax.servlet.*;
import javax.servlet.http.*;
import java.io.*;

public class MyNameServlet3 extends HttpServlet
{

 /**
 * Method to recieve get requests from the web server
 * (Passes them onto the doPost method)
 * @param req The HttpServletRequest which contains the information submitted via get
 * @param res A response containing the requred response data for this request
 **/

 public void doGet(HttpServletRequest req, HttpServletResponse res) throws ServletException, IOException
 {
  doPost(req,res);
 }

 /**
 * Method to recieve and process Post requests from the web server
 * @param req The HttpServletRequest which contains the information submitted via post
 * @param res A response containing the requred response data for this request
 **/

 public void doPost(HttpServletRequest req, HttpServletResponse res) throws ServletException, IOException
 {
  String[] param=req.getParameterValues("yourname");
  res.setContentType("text/html");
  PrintWriter out=res.getWriter();

  if (param!=null)
  {
   out.println("<HTML>\n<HEAD><TITLE>My Name Servlet Response</TITLE></HEAD>\n<BODY>\n<CENTER><BR><B>");
   out.println("Hello "+param[0]);
   out.println("</B></CENTER>\n</BODY>\n</HTML>");
  }
  else
  {
   out.println("<HTML>");
   out.println("<HEAD><TITLE>My Name Servlet Demonstration</TITLE></HEAD>");
   out.println("<BODY>");
   out.println("<CENTER>");
   out.println("<FORM ACTION='"+req.getRequestURI()+"' METHOD=POST>");
   out.println("Please Enter your name <INPUT TYPE=TEXT NAME='yourname'>");
   out.println("<INPUT TYPE=SUBMIT VALUE=Submit>");
   out.println("</FORM>");
   out.println("</CENTER>");
   out.println("</BODY>");
   out.println("</HTML>");
  }
  out.close();
 }
}
