package demoServlets;
import javax.servlet.*;
import javax.servlet.http.*;
import java.io.*;

public class SplitNameServlet1 extends HttpServlet
{

 /**
 * Method to recieve get requests from the web server
 * (Passes them onto the doPost method)
 * @param req The HttpServletRequest which contains the information submitted via get
 * @param res A response containing the requred response data for this request
 **/

 public void doGet(HttpServletRequest req, HttpServletResponse res) throws ServletException, IOException
 {
  doPost(req,res);
 }

 /**
 * Method to recieve and process Post requests from the web server
 * @param req The HttpServletRequest which contains the information submitted via post
 * @param res A response containing the requred response data for this request
 **/

 public void doPost(HttpServletRequest req, HttpServletResponse res) throws ServletException, IOException
 {
  String name=req.getParameterValues("yourname")[0];

  //*****Get the current Session. The 'true' parameter tells Java to create a new one if there isn't one already*****
  HttpSession session=req.getSession(true);
  session.putValue("name", name);

  //*****Send the reply*****

  res.setContentType("text/html");
  PrintWriter out=res.getWriter();
  out.println("<HTML>\n<HEAD><TITLE>Split Name Servlet Response</TITLE></HEAD>\n<BODY>\n<CENTER><BR><B>\n"+
   "<P>Your name has been recorded in a session.</P>"+
   "\n</B></CENTER>\n</BODY>\n</HTML>" );
  out.close();
 }
}
